Subject: Re: [PWE3] Some doubts in RFC 4447

From: Yaakov Stein <[email-masked]>
Date: Sun, 11 Oct 2009 18:29:36 +0200

Sririam,

No-one seems to have answered your questions (at least not on the list), so I will try.

1. Will there be a scenario to use the same PWid at both the end points? Or is it up to the administrator to decide what to use (assign same PWid at both the ends or assign different end point identifiers using the Generalized PWid FEC element)?

Definitely. In fact most PWs that are not Ethernet PWs for VPLS are set up using FEC 128.
There is no standard way of knowing whether the PE at the other side of the network supports 128 or 129 or both.
This is usually resolved by the network operator knowing what to do.

2. Is the AGI field in the Generalized PWid FEC element used to identify the PW. In that case, can we assume it is similar to the PWid field of the PWid FEC element.

The combination of AGI, SAII and TAII perform the same function as the PW ID.
3. Is the Group ID field of the PWid FEC element and the value in the Grouping ID TLV of the Generalized PWid FEC element similar? If not how different are they?
The grouping TLV for FEC 129 fulfills the same function as the group ID field of FEC 128.

4. RFC 4447 Section 3, Page 6, Para 4
"It is REQUIRED that the same PW ID and PW type be assigned for a given circuit in both directions. The group ID MUST NOT be required to match in both directions."

Could some one explain the above statement? It seems to contradict the use of Generalized PWid FEC element. And how will the PW be mapped to a VPLS instance if the group ID doesn't match in both the directions?
While PWs are inherently bidirectional entities, neither the group ID not the labels in the packets have to match in the opposing directions.
This is because MPLS LSPs are inherently unidirectional, and the IDs or labels may be in use for some other flow.
The association of the two directions has to be done using some other means.
In practice, it is easier to make the group IDs the same, but to allow the labels free to differ.

Thanks in advance.

My pleasure
Y(J)S

Regards,
Sriram